VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Movies8"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Collection" ,"Movie8"
Attribute VB_Ext_KEY = "Member0" ,"Movie8"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
'##CD Collection of Movie8 objects.
Attribute VB_HelpID=2009
Attribute VB_Description="Collection of Movie8 objects."
Option Explicit

'local variable to hold collection
Private mCol As Collection

Friend Function Add(Key As String, FileName As String, Name_ As String, Optional sKey As String) As Movie8
    'create a new object
    Dim objNewMember As Movie8
    Set objNewMember = New Movie8

    'set the properties passed into the method
    With objNewMember
        .Key = Key
        .FileName = FileName
        .Name_ = Name_
    End With
    If Len(sKey) = 0 Then
        Call mCol.Add(objNewMember)
    Else
        Call mCol.Add(objNewMember, sKey)
    End If

    'return the object created
    Set Add = objNewMember
    Set objNewMember = Nothing
End Function

Public Sub Clear()
Attribute Clear.VB_HelpID = 2010
Attribute Clear.VB_Description = "Removes all of the Movie8 objects in the collection."
'##BD Removes all of the Movie8 objects in the collection.
    Do Until Count = 0
        Call Remove(1)
    Loop
End Sub


Public Property Get Item(vntIndexKey As Variant) As Movie8
Attribute Item.VB_HelpID = 2011
Attribute Item.VB_UserMemId = 0
    Set Item = mCol(vntIndexKey)
End Property

Public Property Get Count() As Long
Attribute Count.VB_HelpID = 2012
Attribute Count.VB_Description = "Returns the total number of Movie8 objects in the collection."
'##BD Returns the total number of Movie8 objects in the collection.
    Count = mCol.Count
End Property

Public Function LoadMovie(ByVal FileName As String, ByVal Name_ As String) As Movie8
Attribute LoadMovie.VB_HelpID = 2013
Attribute LoadMovie.VB_Description = "Loads a movie file into the collection and creates a new Movie8 object."
'##BD Loads a movie file into the collection and creates a new Movie8 object.

'##PD FileName Path of the movie file.
'##PD Name_ Name of the Movie in the collection. <i><b>Note:</b> This name should be unique from all the other movies in the collection.</i>
    On Error GoTo Handler
    
    Set LoadMovie = Add(CStr(Count + 1), FileName, Name_, Name_)
    Exit Function
    
Handler:
    Call VEngine.FireErrorEvent(Err.Number, Err.Description, "Movies8 | LoadMovie Function")
End Function

Public Sub Remove(vntIndexKey As Variant)
Attribute Remove.VB_HelpID = 2014
Attribute Remove.VB_Description = "Removes a Movie8 object from the collection."
'##BD Removes a Movie8 object from the collection.
    Call mCol.Remove(vntIndexKey)
End Sub

Public Property Get NewEnum() As IUnknown
Attribute NewEnum.VB_HelpID = 2015
Attribute NewEnum.VB_UserMemId = -4
Attribute NewEnum.VB_MemberFlags = "40"
    Set NewEnum = mCol.[_NewEnum]
End Property

Private Sub Class_Initialize()
    'creates the collection when this class is created
    Set mCol = New Collection
End Sub

Private Sub Class_Terminate()
    'destroys collection when this class is terminated
    Set mCol = Nothing
End Sub

